<?php

require ("sharedResources.php");

$sid = '';
try {
	// We need a SID (session ID) in order to operate
	$sid = login ( 'admin', 'admin' );
	echo 'sid: ' . $sid . PHP_EOL;
	
	// Requested parameters 
	// (although they are not evaluated during document creation)
	$doc ['creatorId'] = 0;
	$doc ['exportStatus'] = 0;
	$doc ['fileSize'] = 0;
	$doc ['id'] = 0;
	$doc ['immutable'] = 0;
	$doc ['indexed'] = 0;
	$doc ['publisherId'] = 0;
	$doc ['signed'] = 0;
	$doc ['size'] = 0;
	$doc ['status'] = 0; // Status = 0: document unlocked
	
	// Setting some useful Tags for the document created (tags must be separated by commas)
	$doc ['tags'] = array('document', 'creation', 'email', 'template');
	
	// This is new in 6.4	
	$doc ['published'] = 1;
  //$doc ['date'] = '2019-01-01'; // OK == publishedOn
  //$doc ['date'] = '2018-08-14 11:02:28 +0200'; // OK == publishedOn
  //$doc ['type'] = 'pdf';
  
  // This are new from 7.3	
  $doc ['nature'] = 0; // 0 = document 	
  $doc ['pages'] = -1; // -1 = default
  $doc ['stamped'] = 0; // 0 = default (not stamped)  	
  

  // Setting the template ID
	$doc ['templateId'] = 112558082; 
  
  $extendedAttributes = array();  
  $wsAttribute0 = array('editor' => 0, 'mandatory' => 0, 'name' => 'surnamebio', 'position' => 0, 'stringValue' => "Jesse", 'type' => 0);
  $wsAttribute1 = array('editor' => 0, 'mandatory' => 0, 'name' => 'firstnamebio', 'position' => 0, 'stringValue' => 'Ademola', 'type' => 0);
  
  $extendedAttributes[0] = $wsAttribute0;
  $extendedAttributes[1] = $wsAttribute1;
  $doc['attributes'] = $extendedAttributes;
	
  $doc ['language'] = 'en'; // This is important for indexing/search
	$doc ['fileName'] = 'Kehinde Adedipe';
	$doc ['folderId'] = 124358379; // create the document in this folder
	
	$createParams = array ('sid' => $sid, 'formId' => 126674788, 'doc' => $doc);
	
  $formClient = new SoapClient ('http://localhost:9080/services/Form?wsdl');
	$result = $formClient->createDocument ( $createParams );
	print_r ( $result );
	
	echo PHP_EOL . 'Document created with ID: ' . $result->document->id;
	echo PHP_EOL . 'Document fileName: ' . $result->document->fileName . '; size: ' . $result->document->fileSize;
	echo PHP_EOL . 'Document date: ' . $result->document->date;
	//unset ( $documentClient );
} catch ( SoapFault $e ) {
	print_r ( $e );
} 

// Always we need to logout in order to release connection slot
echo PHP_EOL;
logout ( $sid );
?> 
	